Subject: bug#13577: 24.3.50; Underscore in LaTeX comments can mess up ispell

From: Chong Yidong <[email-masked]>
Date: Sat, 21 Dec 2013 13:16:27 +0800

Ivan Andrus <[email-masked]> writes:

> Starting from emacs -Q add the following to a buffer and put it in
> latex-mode (I checked both AUCTeX and the builtin latex-mode):
>
> % Again, we ignore the actual values of $\zeta_{i}$.
> It is clear that $Z(G)=\angles{c_{i}}\cong \mathbb{Z}_{p}^{2}$ and
> $G'=\angles{b_{i},c_{i}}$.
> Missssspeelllllled.
>
> Run ispell-buffer.  I have to do the following to get ispell to work on
> my system:
>
> (setq-default ispell-program-name "hunspell")
> (setq ispell-dictionary "american")
>
> You will notice that it tries to correct G', when it should not (since
> it's in math mode).  It also ignores Missssspeelllllled.

I can't reproduce this.  For me, ispell-buffer tries only to correct
Missssspeelllllled.